=== debian/changelog ===
i3blocks (1.3-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches since they were merged upstream

 -- Jason Pleau <jason@jpleau.ca>  Wed, 22 Oct 2014 17:29:12 -0400

i3blocks (1.2-1) unstable; urgency=low

  * Initial release (Closes: #762517)

 -- Jason Pleau <jason@jpleau.ca>  Sat, 04 Oct 2014 18:17:31 -0400
