=== debian/control ===
Source: i3blocks
Section: x11
Priority: optional
Maintainer: Jason Pleau <jason@jpleau.ca>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: https://github.com/vivien/i3blocks
Vcs-Git: git://anonscm.debian.org/collab-maint/i3blocks.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/i3blocks.git

Package: i3blocks
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: i3-wm, acpi, gawk, alsa-utils, sysstat
Enhances: i3-wm
Description: highly flexible status line for the i3 window manager
 Status line for the i3 window manager and i3bar that handles clicks, signals
 and language-agnostic user scripts.
 .
 The content of each block (e.g. time, battery status, network state, ...)
 is the output of a command provided by the user.  Blocks are updated on click,
 at a given interval of time or on a given signal, also specified by the user.
 .
 It aims to respect the i3bar protocol, providing customization such as text
 alignment, urgency, color, and more.
