=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ 
	
override_dh_auto_build:
	dh_auto_build -- SYSCONFDIR="/etc" VERSION="${DEB_VERSION_UPSTREAM}"

override_dh_auto_install:
	dh_auto_install -- PREFIX="/usr" LIBEXECDIR="/usr/share"

override_dh_auto_clean:
	$(MAKE) clean
