=== debian/watch ===
version=3
https://github.com/vivien/i3blocks/releases /vivien/i3blocks/releases/download/([\d\.])+/i3blocks-([\d\.])+\.tar\.gz
