## i3blocks 1.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-RELEASE_VERSION = 1.3
+RELEASE_VERSION = 1.4
 
 ifndef PREFIX
   PREFIX=/usr/local
@@ -13,9 +13,6 @@
 ifndef LIBEXECDIR
   LIBEXECDIR=$(PREFIX)/libexec
 endif
-ifndef DOCDIR
-  DOCDIR=$(PREFIX)/share/doc/$(PROGRAM)
-endif
 ifndef VERSION
   VERSION = $(shell git describe --tags --always 2> /dev/null)
   ifeq ($(strip $(VERSION)),)
@@ -27,9 +24,9 @@
 
 CPPFLAGS += -DSYSCONFDIR=\"$(SYSCONFDIR)\"
 CPPFLAGS += -DVERSION=\"${VERSION}\"
-CFLAGS += -std=gnu99 -Wall -Werror=format-security
+CFLAGS += -std=gnu99 -Iinclude -Wall -Werror=format-security
 
-OBJS := $(wildcard src/*.c *.c)
+OBJS := $(wildcard src/*.c)
 OBJS := $(OBJS:.c=.o)
 
 %.o: %.c %.h
@@ -52,7 +49,7 @@
 	ronn -w -r $<
 
 clean:
-	rm -f *.o $(PROGRAM)
+	rm -f src/*.o $(PROGRAM)
 
 install: all man
 	install -m 755 -d $(DESTDIR)$(PREFIX)/bin
@@ -64,16 +61,12 @@
 	chmod 644 $(DESTDIR)$(SYSCONFDIR)/$(PROGRAM).conf
 	install -m 644 $(PROGRAM).1 $(DESTDIR)$(PREFIX)/share/man/man1
 	install -m 755 scripts/* $(DESTDIR)$(LIBEXECDIR)/$(PROGRAM)/
-	install -m 755 -d $(DESTDIR)$(DOCDIR)/contrib
-	install -m 755 contrib/* $(DESTDIR)$(DOCDIR)/contrib/
-	chmod 644 $(DESTDIR)$(DOCDIR)/contrib/config
 
 uninstall:
 	rm -f $(DESTDIR)$(PREFIX)/bin/$(PROGRAM)
 	rm -f $(DESTDIR)$(SYSCONFDIR)/$(PROGRAM).conf
 	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/$(PROGRAM).1
 	rm -rf $(DESTDIR)$(LIBEXECDIR)/$(PROGRAM)
-	rm -rf $(DESTDIR)$(DOCDIR)
 
 dist: clean man
 	( git ls-files * ; ls $(PROGRAM).1 ) | \
