=== debian/control ===
--- 
+++ 
@@ -2,16 +2,20 @@
 Section: x11
 Priority: optional
 Maintainer: Jason Pleau <jason@jpleau.ca>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), pandoc
+Standards-Version: 4.1.0
 Homepage: https://github.com/vivien/i3blocks
-Vcs-Git: git://anonscm.debian.org/collab-maint/i3blocks.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/i3blocks.git
+Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/i3blocks.git/
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/i3blocks.git/
 
 Package: i3blocks
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Recommends: i3-wm, acpi, gawk, alsa-utils, sysstat
+Recommends: i3-wm, 
+            acpi [amd64 i386 mipsel], 
+            gawk, 
+            alsa-utils [linux-any], 
+            sysstat [linux-any]
 Enhances: i3-wm
 Description: highly flexible status line for the i3 window manager
  Status line for the i3 window manager and i3bar that handles clicks, signals
