=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/i3blocks-$1\.tar\.gz/ \
  https://github.com/vivien/i3blocks/tags .*/v?(\d\S*)\.tar\.gz
