## i3blocks 1.5

=== debian/changelog ===
i3blocks (1.5-1) unstable; urgency=medium

  [ Jason Pleau ]
  * Point Vcs-* fields to salsa.d.o
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.4
  * New upstream release (Closes: #951028)
  * Remove patches: no longer needed
  * Update manpages and docs
  * Remove unneeded B-D and copyrights, i3blocks doesn't ship scripts anymore
  * Remove overrides in rules file; upstream switched to autotools
  * Add a patch to disable insallation of bash_completion, waiting on patch
    from upstream
  * Add pkg-config to build-depends

  [ Jakob Haufe ]
  * Adopt package (Closes: #1120098)
  * Debian/kFreeBSD is gone
  * B-D: modernize and split
  * Update Vcs-*
  * Modernize watchfile
  * Don't install blocklets.html
  * Privacy: Prevent connection to Google
  * Update Standards-Version

 -- Jakob Haufe <sur5r@debian.org>  Thu, 05 Feb 2026 15:07:10 +0100
