=== debian/control ===
Source: i3blocks
Section: x11
Maintainer: Debian i3 maintainers <team+i3@tracker.debian.org>
Uploaders: Jakob Haufe <sur5r@debian.org>,
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: pkgconf
Standards-Version: 4.7.3
Homepage: https://github.com/vivien/i3blocks
Vcs-Git: https://salsa.debian.org/i3-team/i3blocks
Vcs-Browser: https://salsa.debian.org/i3-team/i3blocks

Package: i3blocks
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: i3-wm
Enhances: i3-wm
Description: highly flexible status line for the i3 window manager
 Status line for the i3 window manager and i3bar that handles clicks, signals
 and language-agnostic user scripts.
 .
 The content of each block (e.g. time, battery status, network state, ...)
 is the output of a command provided by the user.  Blocks are updated on click,
 at a given interval of time or on a given signal, also specified by the user.
 .
 It aims to respect the i3bar protocol, providing customization such as text
 alignment, urgency, color, and more.
