=== debian/watch ===
Version: 5
Template: github
Owner: vivien
Project: i3blocks
